dev-libs/wayland: Uprev to 1.19.0

This is the latest upstream version and has been out for a few months now.

The wayland-scanner binary has been split into it's own package, but
should be kept at the same version.

BUG=none
TEST=CQ

Change-Id: Idcc0301ebbacf71f9014abb7f4734046d71f9022
Reviewed-on: https://chromium-review.googlesource.com/c/chromiumos/overlays/portage-stable/+/2981320
Commit-Queue: Fergus Dall <sidereal@google.com>
Commit-Queue: David Munro <davidmunro@google.com>
Tested-by: Fergus Dall <sidereal@google.com>
Auto-Submit: Fergus Dall <sidereal@google.com>
Reviewed-by: David Munro <davidmunro@google.com>
diff --git a/dev-libs/wayland/Manifest b/dev-libs/wayland/Manifest
index c2c407e..c5622c6 100644
--- a/dev-libs/wayland/Manifest
+++ b/dev-libs/wayland/Manifest
@@ -1 +1 @@
-DIST wayland-1.18.0.tar.xz 453968 BLAKE2B ee5b3f9dff07fda85b4d64bc753aff28c4a012184eb3a4bae8e3be0fb74324f12e9ea4e3dc049e06a11c7302e3c6b1e53e49109c814381641568d92b5572eed9 SHA512 e30199e30c2bbd361ee695b4f3f7a4e264f10ed8f46f2c90762b5739fc578ae757dc39aa0258d8fbf0ed418553470bccd4b2730ed9705481cfccdab5de96a8fc
+DIST wayland-1.19.0.tar.xz 456380 BLAKE2B 0f70bb02e890898c4763001884527067adb686abe9a2b9325badf1730d411d269c437037afc298eec8075eb1e3845f5b81b8ed3d702908388a54e7063cbea91a SHA512 d8a86f5e23e4a88e7c84b82fdb51eb350419086afe462ecb2f4d5c3ba9290ede310cbbcffd60215219ddccf5bad4adec21a5ebfbef6577200f66ac7a1b64a5ef
diff --git a/dev-libs/wayland/wayland-1.18.0.ebuild b/dev-libs/wayland/wayland-1.18.0.ebuild
deleted file mode 100644
index dc095e7..0000000
--- a/dev-libs/wayland/wayland-1.18.0.ebuild
+++ /dev/null
@@ -1,70 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-if [[ ${PV} = *9999* ]]; then
-	EGIT_REPO_URI="https://gitlab.freedesktop.org/wayland/wayland.git"
-	inherit git-r3
-else
-	SRC_URI="https://wayland.freedesktop.org/releases/${P}.tar.xz"
-	KEYWORDS="*"
-fi
-inherit autotools libtool multilib-minimal toolchain-funcs
-
-DESCRIPTION="Wayland protocol libraries"
-HOMEPAGE="https://wayland.freedesktop.org/ https://gitlab.freedesktop.org/wayland/wayland"
-
-LICENSE="MIT"
-SLOT="0"
-IUSE="doc"
-
-BDEPEND="
-	virtual/pkgconfig
-	doc? (
-		>=app-doc/doxygen-1.6[dot]
-		app-text/xmlto
-		>=media-gfx/graphviz-2.26.0
-		sys-apps/grep[pcre]
-	)
-"
-DEPEND="
-	>=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
-	dev-libs/libxml2:=
-	>=dev-libs/libffi-3.0.13-r1:=[${MULTILIB_USEDEP}]
-"
-RDEPEND="${DEPEND}
-	!<media-libs/mesa-18.1.1-r1
-"
-
-src_prepare() {
-	default
-	[[ $PV = 9999* ]] && eautoreconf || elibtoolize
-}
-
-multilib_src_configure() {
-	local myeconfargs=(
-		--disable-static
-		$(multilib_native_use_enable doc documentation)
-		$(multilib_native_enable dtd-validation)
-	)
-	tc-is-cross-compiler && myeconfargs+=( --with-host-scanner )
-
-	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
-}
-
-multilib_src_install_all() {
-	find "${D}" -name '*.la' -delete || die
-	einstalldocs
-}
-
-src_test() {
-	# We set it on purpose to only a short subdir name, as socket paths are
-	# created in there, which are 108 byte limited. With this it hopefully
-	# barely fits to the limit with /var/tmp/portage/$CAT/$PF/temp/xdr
-	export XDG_RUNTIME_DIR="${T}"/xdr
-	mkdir "${XDG_RUNTIME_DIR}" || die
-	chmod 0700 "${XDG_RUNTIME_DIR}" || die
-
-	multilib-minimal_src_test
-}
diff --git a/dev-libs/wayland/wayland-1.19.0.ebuild b/dev-libs/wayland/wayland-1.19.0.ebuild
new file mode 100644
index 0000000..d1065ab
--- /dev/null
+++ b/dev-libs/wayland/wayland-1.19.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} = *9999* ]]; then
+	EGIT_REPO_URI="https://gitlab.freedesktop.org/wayland/wayland.git"
+	inherit git-r3
+else
+	SRC_URI="https://wayland.freedesktop.org/releases/${P}.tar.xz"
+	KEYWORDS="*"
+fi
+inherit meson-multilib
+
+DESCRIPTION="Wayland protocol libraries"
+HOMEPAGE="https://wayland.freedesktop.org/ https://gitlab.freedesktop.org/wayland/wayland"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="doc"
+
+BDEPEND="
+	~dev-util/wayland-scanner-${PV}[$MULTILIB_USEDEP]
+	virtual/pkgconfig
+	doc? (
+		>=app-doc/doxygen-1.6[dot]
+		app-text/xmlto
+		>=media-gfx/graphviz-2.26.0
+	)
+"
+DEPEND="
+	>=dev-libs/expat-2.1.0-r3:=[${MULTILIB_USEDEP}]
+	dev-libs/libxml2:=
+	>=dev-libs/libffi-3.0.13-r1:=[${MULTILIB_USEDEP}]
+"
+RDEPEND="${DEPEND}"
+
+multilib_src_configure() {
+	local emesonargs=(
+		$(meson_native_use_bool doc documentation)
+		$(meson_native_true dtd_validation)
+		-Dlibraries=true
+		-Dscanner=false
+	)
+	meson_src_configure
+}
+
+src_test() {
+	# We set it on purpose to only a short subdir name, as socket paths are
+	# created in there, which are 108 byte limited. With this it hopefully
+	# barely fits to the limit with /var/tmp/portage/${CATEGORY}/${PF}/temp/x
+	export XDG_RUNTIME_DIR="${T}"/x
+	mkdir "${XDG_RUNTIME_DIR}" || die
+	chmod 0700 "${XDG_RUNTIME_DIR}" || die
+
+	multilib-minimal_src_test
+}
diff --git a/dev-util/wayland-scanner/Manifest b/dev-util/wayland-scanner/Manifest
new file mode 100644
index 0000000..c5622c6
--- /dev/null
+++ b/dev-util/wayland-scanner/Manifest
@@ -0,0 +1 @@
+DIST wayland-1.19.0.tar.xz 456380 BLAKE2B 0f70bb02e890898c4763001884527067adb686abe9a2b9325badf1730d411d269c437037afc298eec8075eb1e3845f5b81b8ed3d702908388a54e7063cbea91a SHA512 d8a86f5e23e4a88e7c84b82fdb51eb350419086afe462ecb2f4d5c3ba9290ede310cbbcffd60215219ddccf5bad4adec21a5ebfbef6577200f66ac7a1b64a5ef
diff --git a/dev-util/wayland-scanner/metadata.xml b/dev-util/wayland-scanner/metadata.xml
new file mode 100644
index 0000000..e943b72
--- /dev/null
+++ b/dev-util/wayland-scanner/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+	<email>x11@gentoo.org</email>
+	<name>X11</name>
+</maintainer>
+</pkgmetadata>
diff --git a/dev-util/wayland-scanner/wayland-scanner-1.19.0.ebuild b/dev-util/wayland-scanner/wayland-scanner-1.19.0.ebuild
new file mode 100644
index 0000000..13e6d66
--- /dev/null
+++ b/dev-util/wayland-scanner/wayland-scanner-1.19.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} = *9999* ]]; then
+	EGIT_REPO_URI="https://gitlab.freedesktop.org/wayland/wayland.git"
+	inherit git-r3
+else
+	SRC_URI="https://wayland.freedesktop.org/releases/wayland-${PV}.tar.xz"
+	KEYWORDS="*"
+	S="${WORKDIR}/wayland-${PV}"
+fi
+inherit meson-multilib
+
+DESCRIPTION="wayland-scanner tool"
+HOMEPAGE="https://wayland.freedesktop.org/ https://gitlab.freedesktop.org/wayland/wayland"
+
+LICENSE="MIT"
+SLOT="0"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="
+	!<dev-libs/wayland-${PV}
+	>=dev-libs/expat-2.1.0-r3:=[$MULTILIB_USEDEP]
+"
+DEPEND="${RDEPEND}"
+
+multilib_src_configure() {
+	local emesonargs=(
+		-Ddocumentation=false
+		-Ddtd_validation=false
+		-Dlibraries=false
+		-Dscanner=true
+	)
+	meson_src_configure
+}